# create RSA certs - Server

RANDFILE = prayer.rnd

[ req ]
default_bits = 1024
encrypt_key = yes
distinguished_name = req_dn
x509_extensions = cert_type
prompt = yes

[ req_dn ]
countryName = Country Name (2 letter code)
countryName_default             = UK
countryName_min                 = 2
countryName_max                 = 2

stateOrProvinceName             = State or Province Name (full name)
stateOrProvinceName_default     = Prayer

localityName                    = Locality Name (eg, city)
localityName_default            = Prayer

0.organizationName              = Organization Name (eg, company)
0.organizationName_default      = Prayer Self Signed Certificate

organizationalUnitName          = Organizational Unit Name (eg, section)
organizationalUnitName_default  = Prayer

0.commonName                    = Common Name (FQDN of your server)
0.commonName_default            = localhost

[ cert_type ]
nsCertType = server

